/* BdfServer_API - Copyright (c) 2006-2017 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.api.managers;

import java.util.List;
import net.fichotheque.exportation.scrutari.ScrutariExportDef;


/**
 *
 * @author Vincent Calame
 */
public interface ScrutariExportManager {

    public List<ScrutariExportDef> getScrutariExportDefList();

    public ScrutariExportDef getScrutariExportDef(String name);

    public void putScrutariExportDef(ScrutariExportDef scrutariExportDef);

    public void removeScrutariExportDef(String name);

}
